ros-humble-rviz-common (11.2.13-1jammy) jammy; urgency=high

  * Correclty load icons of panels with whitespaces in their name (#1241 <https://github.com/ros2/rviz/issues/1241>) (#1243 <https://github.com/ros2/rviz/issues/1243>)
  * Replace ESC shortcut for exiting full screen with solution from https://github.com/ros-visualization/rviz/pull/1416 (#1205 <https://github.com/ros2/rviz/issues/1205>) (#1210 <https://github.com/ros2/rviz/issues/1210>)
  * Contributors: mergify[bot]

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 26 Jul 2024 05:00:00 -0000

ros-humble-rviz-common (11.2.12-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 26 Mar 2024 05:00:00 -0000

ros-humble-rviz-common (11.2.11-1jammy) jammy; urgency=high

  * Append measured subscription frequency to topic status (#1113 <https://github.com/ros2/rviz/issues/1113>) (#1129 <https://github.com/ros2/rviz/issues/1129>)
  * Contributors: mergify[bot]

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 16 Feb 2024 06:00:00 -0000

ros-humble-rviz-common (11.2.10-1jammy) jammy; urgency=high

  * Switch to using rcpputils::fs helpers. (#1105 <https://github.com/ros2/rviz/issues/1105>)
  * Rolling namespace in title (backport #1074 <https://github.com/ros2/rviz/issues/1074>) (#1099 <https://github.com/ros2/rviz/issues/1099>)
  * Initialize more of the visualization_manager members. (#1090 <https://github.com/ros2/rviz/issues/1090>) (#1091 <https://github.com/ros2/rviz/issues/1091>)
  * Contributors: Chris Lalancette, mergify[bot]

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 24 Jan 2024 06:00:00 -0000

ros-humble-rviz-common (11.2.9-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 13 Nov 2023 06:00:00 -0000

ros-humble-rviz-common (11.2.8-1jammy) jammy; urgency=high

  * Remove unused LineEditWithButton::simulateReturnPressed() (#1040 <https://github.com/ros2/rviz/issues/1040>) (#1042 <https://github.com/ros2/rviz/issues/1042>)
  * Contributors: mergify[bot]

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 19 Sep 2023 05:00:00 -0000

ros-humble-rviz-common (11.2.7-1jammy) jammy; urgency=high

  * Remove warning in depth_cloud_mld.cpp (#1021 <https://github.com/ros2/rviz/issues/1021>)
    (cherry picked from commit 092e3efef2f907549976ffd101e5ad8100cbea3f)
  * Added DepthCloud default plugin (#996 <https://github.com/ros2/rviz/issues/996>)
    (cherry picked from commit 8f2e17e441399974ebd465a2d2ef0a3529f57f23)
  * Contributors: Alejandro Hernández Cordero

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 27 Jul 2023 05:00:00 -0000

ros-humble-rviz-common (11.2.6-1jammy) jammy; urgency=high

  * Merge pull request #993 <https://github.com/ros2/rviz/issues/993> from ros2/mergify/bp/humble/pr-992
  * Merge pull request #998 <https://github.com/ros2/rviz/issues/998> from ros2/mergify/bp/humble/pr-989
  * Re-implemented setName for tools (#989 <https://github.com/ros2/rviz/issues/989>)
  * Add a libqt5-svg dependency to rviz_common. (#992 <https://github.com/ros2/rviz/issues/992>)
  * Update Frame shortcut (#958 <https://github.com/ros2/rviz/issues/958>) (#960 <https://github.com/ros2/rviz/issues/960>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Felix Exner (fexner), mergify[bot]

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 18 Jul 2023 05:00:00 -0000

ros-humble-rviz-common (11.2.5-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 10 Jan 2023 06:00:00 -0000

ros-humble-rviz-common (11.2.4-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 07 Nov 2022 06:00:00 -0000

ros-humble-rviz-common (11.2.3-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 12 Sep 2022 05:00:00 -0000

ros-humble-rviz-common (11.2.2-1jammy) jammy; urgency=high

  * Add time jump handler (#791 <https://github.com/ros2/rviz/issues/791>) (#854 <https://github.com/ros2/rviz/issues/854>)
  * Contributors: Jacob Perron

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 10 May 2022 05:00:00 -0000

ros-humble-rviz-common (11.2.1-1jammy) jammy; urgency=high

  * Make sure not to dereference a null Renderable pointer. (#850 <https://github.com/ros2/rviz/issues/850>)
  * Contributors: Chris Lalancette

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 26 Apr 2022 05:00:00 -0000

ros-humble-rviz-common (11.2.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 08 Apr 2022 05:00:00 -0000

ros-humble-rviz-common (11.1.1-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 30 Mar 2022 05:00:00 -0000

ros-humble-rviz-common (11.1.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 24 Mar 2022 05:00:00 -0000

ros-humble-rviz-common (11.0.0-1jammy) jammy; urgency=high

  * Add implementation for cancel interface (#809 <https://github.com/ros2/rviz/issues/809>)
  * Contributors: Chen Lihui

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 01 Mar 2022 06:00:00 -0000

ros-humble-rviz-common (10.0.0-1jammy) jammy; urgency=high

  * Install headers to include/${PROJECT_NAME} (#829 <https://github.com/ros2/rviz/issues/829>)
  * Remove definition of PLUGINLIB_DISABLE_BOOST. (#821 <https://github.com/ros2/rviz/issues/821>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 16 Feb 2022 06:00:00 -0000

ros-humble-rviz-common (9.1.1-1jammy) jammy; urgency=high

  * Fix support for assimp 5.1.0 (#817 <https://github.com/ros2/rviz/issues/817>)
  * Contributors: Silvio Traversaro

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 25 Jan 2022 06:00:00 -0000

ros-humble-rviz-common (9.1.0-1jammy) jammy; urgency=high

  * Fix cpplint errors (#818 <https://github.com/ros2/rviz/issues/818>)
  * Set message type for ros topic display (#800 <https://github.com/ros2/rviz/issues/800>)
  * Contributors: Daisuke Nishimatsu, Jacob Perron

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 13 Jan 2022 06:00:00 -0000

ros-humble-rviz-common (9.0.1-1jammy) jammy; urgency=high

  * Fixes for uncrustify 0.72 (#807 <https://github.com/ros2/rviz/issues/807>)
  * Do not block visualization manager updates when opening the display panel dialog (#795 <https://github.com/ros2/rviz/issues/795>)
  * Contributors: Chris Lalancette, Ivan Santiago Paunovic

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 17 Dec 2021 06:00:00 -0000

ros-humble-rviz-common (9.0.0-1jammy) jammy; urgency=high

  * Switch to using Qt::MiddleButton for RViz. (#802 <https://github.com/ros2/rviz/issues/802>)
  * Removed traces in renderPanel (#777 <https://github.com/ros2/rviz/issues/777>)
  * move yaml_config_writer.hpp to public includes (#764 <https://github.com/ros2/rviz/issues/764>)
  * Update displays_panel.cpp (#745 <https://github.com/ros2/rviz/issues/745>)
  * Robot: Report mesh loading issues (#744 <https://github.com/ros2/rviz/issues/744>)
  * Exposed tool_manager header file. (#767 <https://github.com/ros2/rviz/issues/767>)
  * refactor: make const getter methods const (#756 <https://github.com/ros2/rviz/issues/756>)
  * Efficiently handle 3-bytes pixel formats (#743 <https://github.com/ros2/rviz/issues/743>)
  * Report sample lost events (#686 <https://github.com/ros2/rviz/issues/686>)
  * Contributors: ANDOU Tetsuo, Alejandro Hernández Cordero, Chris Lalancette, Gonzo, Joseph Schornak, davidorchansky

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 18 Nov 2021 06:00:00 -0000

ros-humble-rviz-common (8.7.0-1jammy) jammy; urgency=high

  * Update window close icon (#734 <https://github.com/ros2/rviz/issues/734>)
  * Fix missing "X" icon in panel close button (#731 <https://github.com/ros2/rviz/issues/731>)
  * Add rviz_rendering dependency to rviz_common (#727 <https://github.com/ros2/rviz/issues/727>)
  * Remove the word "Alpha" from the splash screen. (#696 <https://github.com/ros2/rviz/issues/696>)
  * Removed some memory leaks in rviz_rendering and rviz_rendering_tests (#710 <https://github.com/ros2/rviz/issues/710>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Rebecca Butler

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 11 Aug 2021 05:00:00 -0000

ros-humble-rviz-common (8.6.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 13 May 2021 05:00:00 -0000

ros-humble-rviz-common (8.5.0-1jammy) jammy; urgency=high

  * Add visualization_frame to the public API (#660 <https://github.com/ros2/rviz/issues/660>)
  * Contributors: Jafar Abdi

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 06 Apr 2021 05:00:00 -0000

ros-humble-rviz-common (8.4.0-1jammy) jammy; urgency=high

  * Add ViewPicker::get3DPatch to the public API (#657 <https://github.com/ros2/rviz/issues/657>)
  * Fix byte indexing for depth patch pixels (#661 <https://github.com/ros2/rviz/issues/661>)
  * fix toolbar vanishing when pressing escape (#656 <https://github.com/ros2/rviz/issues/656>)
  * Expose VisualizationManager and YamlConfigReader to the public API (#649 <https://github.com/ros2/rviz/issues/649>)
  * Use the stack for the classes in the property test. (#644 <https://github.com/ros2/rviz/issues/644>)
  * Contributors: Chris Lalancette, Joseph Schornak, ipa-fez

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 18 Mar 2021 05:00:00 -0000

ros-humble-rviz-common (8.3.1-1jammy) jammy; urgency=high

  * Check that the views_man_ and views_man_->getCurrent() are not nullptr. (#634 <https://github.com/ros2/rviz/issues/634>)
  * Contributors: Chris Lalancette

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 25 Jan 2021 06:00:00 -0000

ros-humble-rviz-common (8.3.0-1jammy) jammy; urgency=high

  * Fix for mousewheel to zoom in/out (#623 <https://github.com/ros2/rviz/issues/623>)
  * Ensure rviz_common::MessageFilterDisplay processes messages in the main thread (#620 <https://github.com/ros2/rviz/issues/620>)
  * Fix render window disppearing after saving image (#611 <https://github.com/ros2/rviz/issues/611>)
  * Add linters and use ament_lint_auto (#608 <https://github.com/ros2/rviz/issues/608>)
  * Update maintainers (#607 <https://github.com/ros2/rviz/issues/607>)
  * TimePanel port (#599 <https://github.com/ros2/rviz/issues/599>)
  * Upgrade to tinyxml2 for rviz (#418 <https://github.com/ros2/rviz/issues/418>)
  * Fix segfault on changing filter size for non-existent topic (#597 <https://github.com/ros2/rviz/issues/597>)
  * improve color support for themes (#590 <https://github.com/ros2/rviz/issues/590>)
  * Fix topic IntProperty number ranges (#596 <https://github.com/ros2/rviz/issues/596>)
  * Switch to nullptr everywhere. (#592 <https://github.com/ros2/rviz/issues/592>)
  * Expose MessageFilterDisplay's queue size (#593 <https://github.com/ros2/rviz/issues/593>)
  * Filter topics in drop down menu (#591 <https://github.com/ros2/rviz/issues/591>)
  * rviz_common: Remove variadic macro warning check (#421 <https://github.com/ros2/rviz/issues/421>)
  * Use retriever.hpp (#589 <https://github.com/ros2/rviz/issues/589>)
  * Fix the order of destructors (#572 <https://github.com/ros2/rviz/issues/572>)
  * Contributors: Audrow Nash, Chen Lihui, Chris Lalancette, Jacob Perron, Martin Idel, Michael Ferguson, Michael Jeronimo, Michel Hidalgo, Nico Neumann, Rich Mattes, Shane Loretz, spiralray

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 08 Dec 2020 06:00:00 -0000

ros-humble-rviz-common (8.2.0-1jammy) jammy; urgency=high

  * Changed to not install test header files in rviz_rendering. (#564 <https://github.com/ros2/rviz/issues/564>)
  * Fixed alphabetical include order (#563 <https://github.com/ros2/rviz/issues/563>)
  * Changed to avoid trying to moc generate ``env_config.hpp`` file. (#550 <https://github.com/ros2/rviz/issues/550>)
  * Contributors: Chris Lalancette, Karsten Knese

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 23 Jun 2020 05:00:00 -0000

ros-humble-rviz-common (8.1.1-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 03 Jun 2020 05:00:00 -0000

ros-humble-rviz-common (8.1.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 03 Jun 2020 05:00:00 -0000

ros-humble-rviz-common (8.0.3-1jammy) jammy; urgency=high

  * Fixed deprecated Qt usage. (#555 <https://github.com/ros2/rviz/issues/555>)
  * Contributors: Jacob Perron

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 02 Jun 2020 05:00:00 -0000

ros-humble-rviz-common (8.0.2-1jammy) jammy; urgency=high

  * Changed to use modern cmake style with pluginlib (#542 <https://github.com/ros2/rviz/issues/542>)
  * Removed automoc completely. (#545 <https://github.com/ros2/rviz/issues/545>)
  * Contributors: Chris Lalancette, Karsten Knese

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 21 May 2020 05:00:00 -0000

ros-humble-rviz-common (8.0.1-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 07 May 2020 05:00:00 -0000

ros-humble-rviz-common (8.0.0-1jammy) jammy; urgency=high

  * Note from wjwwood: I've chosen bump the major version this time, even though the API was not broken strictly speaking, partly because of some potentially disruptive build system changes and partially in preparation for ROS Foxy, to allow for new minor/patch versions in the previous ROS release Eloquent.
  * Removed duplicate include dirs and link libraries. (#533 <https://github.com/ros2/rviz/issues/533>)
  * Added missing export of urdf. (#529 <https://github.com/ros2/rviz/issues/529>)
  * Made changes to avoid newly deprecated functions in rclcpp. (#528 <https://github.com/ros2/rviz/issues/528>)
  * Changed to use ``ament_export_targets()``. (#525 <https://github.com/ros2/rviz/issues/525>)
  * Updated deprecated enums in rviz_common. (#510 <https://github.com/ros2/rviz/issues/510>)
  * Solved a compiler warning in Ubuntu Focal. (#503 <https://github.com/ros2/rviz/issues/503>)
  * Removed an uncessary call to render scene. (#490 <https://github.com/ros2/rviz/issues/490>)
  * Made some code style changes. (#504 <https://github.com/ros2/rviz/issues/504>)
  * Fixed a bug encountered when included as a sub-project. (#475 <https://github.com/ros2/rviz/issues/475>)
  * Contributors: Dan Rose, Dirk Thomas, Ivan Santiago Paunovic, Jacob Perron, William Woodall, brawner

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 01 May 2020 05:00:00 -0000

ros-humble-rviz-common (7.0.3-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 13 Nov 2019 06:00:00 -0000

ros-humble-rviz-common (7.0.2-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-humble-rviz-common (7.0.1-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 04 Oct 2019 05:00:00 -0000

ros-humble-rviz-common (7.0.0-1jammy) jammy; urgency=high

  * Introduce QoS property (#409 <https://github.com/ros2/rviz/issues/409>)
    A container of properties related to QoS settings. Replaces queue size and unreliable properties.
  * Migrate InteractiveMarkerDisplay (#457 <https://github.com/ros2/rviz/issues/457>)
  * Rename 2d Nav Goal to 2d Goal Pose (#455)
    
    Rename nav pose tool to goal pose tool
    
    Rename topic for goal pose tool from "move_base_simple/goal" to "goal_pose"
  * Do not select interactive markers when mousing over them (#451 <https://github.com/ros2/rviz/issues/451>)
  * Migrate Interaction Tool (#423 <https://github.com/ros2/rviz/issues/423>)
  * Upgrade from Ogre 1.10 to Ogre 1.12.1 (#394 <https://github.com/ros2/rviz/issues/394>)
  * Re-enable use of tf message filter (#375 <https://github.com/ros2/rviz/issues/375>)
  * Static analysis cleanup for rviz_common (#431 <https://github.com/ros2/rviz/issues/431>)
  * Fix deprecation warnings with new Qt (#435 <https://github.com/ros2/rviz/issues/435>)
  * FrameTransformer implements tf2::BufferCoreInterface and tf2_ros::AsyncBufferInterface (#422 <https://github.com/ros2/rviz/issues/422>)
  * Use geometry_msgs types instead of custom types (#426 <https://github.com/ros2/rviz/issues/426>)
  * Remove -Werror from defualt compiler options (#420 <https://github.com/ros2/rviz/issues/420>)
  * Use node to create clock used to stamp publications (#407 <https://github.com/ros2/rviz/issues/407>)
  * Remove blank lines that latest uncrustify doesn't like (#411 <https://github.com/ros2/rviz/issues/411>)
  * Contributors: Emerson Knapp, Hunter L. Allen, Jacob Perron, Martin Idel, Scott K Logan, Shivesh Khaitan, Steven Macenski, William Woodall

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 27 Sep 2019 05:00:00 -0000

ros-humble-rviz-common (6.1.1-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 29 May 2019 05:00:00 -0000

ros-humble-rviz-common (6.1.0-1jammy) jammy; urgency=high

  * Updated to use the new specification for types from the ROS node graph API. (#387 <https://github.com/ros2/rviz/issues/387>)
  * Contributors: Jacob Perron

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 20 May 2019 05:00:00 -0000

ros-humble-rviz-common (6.0.0-1jammy) jammy; urgency=high

  * Made changes to avoid newly deprecated API's related to publishers and subscriptions. (#399 <https://github.com/ros2/rviz/issues/399>)
  * Updated to be compatible with new QoS settings.  (#392 <https://github.com/ros2/rviz/issues/392>)
  * Fixed a crash on shutdown by properly freeing the ``transformation_manager``. (#386 <https://github.com/ros2/rviz/issues/386>)
  * Contributors: M. M, Michael Jeronimo, William Woodall

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 08 May 2019 05:00:00 -0000

ros-humble-rviz-common (5.1.0-1jammy) jammy; urgency=high

  * Fix errors from uncrustify v0.68 (#366 <https://github.com/ros2/rviz/issues/366>)
  * Contributors: Jacob Perron, William Woodall

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 14 Jan 2019 06:00:00 -0000

ros-humble-rviz-common (5.0.0-1jammy) jammy; urgency=high

  * Moved rviz_yaml_cpp_vendor into it's own repo (#361 <https://github.com/ros2/rviz/issues/361>)
  * Exported libraries to trigger hooks. (#358 <https://github.com/ros2/rviz/issues/358>)
  * Added virtual destructors for WindowManagerInterface and ViewportProjectionFinder (#356 <https://github.com/ros2/rviz/issues/356>)
  * Changed to use spin_some with max_duration (#354 <https://github.com/ros2/rviz/issues/354>)
    * spin_once() limits the number of callbacks that can be called based on how quickly the gui updates.
    * This results in lag when displaying tf frames.
    * Use spin_some(max_duration) to execute all of the work available.
  * Made the transformation framework used by rviz pluggable. (#346 <https://github.com/ros2/rviz/issues/346>)
  * Fixed wrong name of InitialPose plugin in default config (#352 <https://github.com/ros2/rviz/issues/352>)
  * Added hotkeys (also to help) (#312 <https://github.com/ros2/rviz/issues/312>)
  * Migrated pose estimate tool (#329 <https://github.com/ros2/rviz/issues/329>)
  * Changed to now pass clock to tf2_ros::buffer (#340 <https://github.com/ros2/rviz/issues/340>)
  * Changted to always build all tests and skip execution if not supported (#342 <https://github.com/ros2/rviz/issues/342>)
  * Reverted workaround for identity transform after geometry2 fix (#343 <https://github.com/ros2/rviz/issues/343>)
  * Reverted "Add simple mechanism to automatically convert old configs" (#337 <https://github.com/ros2/rviz/issues/337>)
    * No longer necessary for C-Turtle
  * Minor cleanup and fixes (#336 <https://github.com/ros2/rviz/issues/336>)
    * Fix environment for colcon builds (no appends necessary)
    * Fix warning in visual_test_fixture.cpp and add -Werror option in CMakeLists.txt
    * Fix Qt moc warning for virtual signal
  * Fixed missing status in laser scan display (#335 <https://github.com/ros2/rviz/issues/335>)
    * Show status error when transform failed
    * Modify logging behaviour
  * Updates due to uncrustify 0.67 (#333 <https://github.com/ros2/rviz/issues/333>)
    * fix closing block and tamplete indentation to comply with uncrustify 0.67
    * add space between reference and variable name
    * space before opening bracket
    * fix indend of inherited class
    * fix indent of code blocks
    * no space around -> operator
    * restore original spacing
  * Contributors: Andreas Greimel, Kartik Mohta, Martin Idel, Michael Carroll, Mikael Arguedas, Shane Loretz, Steven! Ragnarök

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 04 Dec 2018 06:00:00 -0000

ros-humble-rviz-common (4.0.1-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 28 Jun 2018 05:00:00 -0000

ros-humble-rviz-common (4.0.0-1jammy) jammy; urgency=high

  * Polished selection behavior. (#315 <https://github.com/ros2/rviz/issues/315>)
  * Fixed invalid color profile in PNGs. (#306 <https://github.com/ros2/rviz/issues/306>)
  * Updated use of tf2 so that it reused the rviz node. (#290 <https://github.com/ros2/rviz/issues/290>)
  * Made the display status not editable. (#316 <https://github.com/ros2/rviz/issues/316>)
  * Fixed some bugs causing RViz to crash on macOS. (#319 <https://github.com/ros2/rviz/issues/319>)
  * Fixed a segfault that could occur on empty frames. (#313 <https://github.com/ros2/rviz/issues/313>)
  * Moved the selection icon to ``rviz_common``. (#314 <https://github.com/ros2/rviz/issues/314>)
  * Polished more tests and migrate or delete old tests. (#289 <https://github.com/ros2/rviz/issues/289>)
  * Migrated the map display. (#267 <https://github.com/ros2/rviz/issues/267>)
  * Migrated Marker Array Display. (#296 <https://github.com/ros2/rviz/issues/296>)
  * Migrated 2D Nav Goal tool. (#294 <https://github.com/ros2/rviz/issues/294>)
  * Fixed a memory leak in shutdown of ros client abstraction. (#301 <https://github.com/ros2/rviz/issues/301>)
  * Implemented a workaround for the missing identity transform when transforming from a frame to itself. (#298 <https://github.com/ros2/rviz/issues/298>)
  * Fixed the splash screen and help panel. (#277 <https://github.com/ros2/rviz/issues/277>)
  * Migrated the Odometry display. (#275 <https://github.com/ros2/rviz/issues/275>)
  * Homogenized behavior of rviz when a tf transform fails. (#292 <https://github.com/ros2/rviz/issues/292>)
  * Changed rviz so that only a single ros node is used. (#197 <https://github.com/ros2/rviz/issues/197>)
  * Migrated the XYOrbit View Controller. (#282 <https://github.com/ros2/rviz/issues/282>)
  * Fixed select and measure tool behavior on macOS Retina displays. (#283 <https://github.com/ros2/rviz/issues/283>)
  * Fixed a segfault in the selection manager tests. (#284 <https://github.com/ros2/rviz/issues/284>)
  * Fixed rviz application so it shows an icon on macOS's toolbar when running. (#272 <https://github.com/ros2/rviz/issues/272>)
  * Moved the ``rviz_common::Panel`` into a public header. (#265 <https://github.com/ros2/rviz/issues/265>)
  * Migrated the orthographic view controller. (#270 <https://github.com/ros2/rviz/issues/270>)
  * Restored most of the command line options for rviz. (#255 <https://github.com/ros2/rviz/issues/255>)
  * Migrated tool properties panel. (#251 <https://github.com/ros2/rviz/issues/251>)
  * Finished point cloud refactoring and testing. (#250 <https://github.com/ros2/rviz/issues/250>)
  * Migrated the select tool. (#256 <https://github.com/ros2/rviz/issues/256>)
  * Introduced visual testing framework for rviz. (#209 <https://github.com/ros2/rviz/issues/209>)
  * Fixed "display" tests and enable when the test environment allows. (#186 <https://github.com/ros2/rviz/issues/186>)
  * Restored use of icons throughout rviz. (#235 <https://github.com/ros2/rviz/issues/235>)
  * Migrated marker display. (#229 <https://github.com/ros2/rviz/issues/229>)
  * Changed the default position of the camera in RenderPanel. (#205 <https://github.com/ros2/rviz/issues/205>)
  * Migrated RobotModelDisplay. (#210 <https://github.com/ros2/rviz/issues/210>)
  * Fixed a possible null pointer is dereference. (#178 <https://github.com/ros2/rviz/issues/178>)
    * Signed-off-by: Chris Ye <mailto:chris.ye@intel.com>
  * Migrated camera display (#183 <https://github.com/ros2/rviz/issues/183>)
  * Updated Ogre to 1.10.11 (#181 <https://github.com/ros2/rviz/issues/181>)
  * Migrated TF Display. (#182 <https://github.com/ros2/rviz/issues/182>)
  * Migrated ImageDisplay. (#164 <https://github.com/ros2/rviz/issues/164>)
  * Introduced ROS interface abstraction to improve testability. (#156 <https://github.com/ros2/rviz/issues/156>)
  * Re-enabled and fixed rviz configuration file loading. (#167 <https://github.com/ros2/rviz/issues/167>)
  * Fixed a bug caused by a missing break in switch statement. (#158 <https://github.com/ros2/rviz/issues/158>)
  * Migrated code for point cloud displays to ``rviz_default_plugins``. (#153 <https://github.com/ros2/rviz/issues/153>)
  * Contributors: Alessandro Bottero, Andreas Greimel, Andreas Holzner, Chris Ye, Dirk Thomas, Martin Idel, Mikael Arguedas, Steven! Ragnarök, Tim Rakowski, William Woodall

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 27 Jun 2018 05:00:00 -0000

ros-humble-rviz-common (3.0.0-1jammy) jammy; urgency=high

  * Fixed compilation errors and runtime issues on Windows. (#175 <https://github.com/ros2/rviz/issues/175>)
  * Fixed an issue with docking windows initially.
  * Fixed a potential memory leak.
  * Fixed a bug which caused rviz to crash when removing a display. (#191 <https://github.com/ros2/rviz/issues/191>)
    * The crash occurred when adding a camera display and then deleting any display that was created before adding the camera display.
  * Contributors: Andreas Greimel, Andreas Holzner, Johannes Jeising, Martin Idel, Steven! Ragnarok, William Woodall

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 07 Feb 2018 06:00:00 -0000

ros-humble-rviz-common (1.12.11-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 02 Aug 2017 05:00:00 -0000

ros-humble-rviz-common (1.12.10-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 05 Jun 2017 22:37:00 -0000

ros-humble-rviz-common (1.12.9-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 05 Jun 2017 19:23:00 -0000

ros-humble-rviz-common (1.12.8-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 07 May 2017 05:00:00 -0000

ros-humble-rviz-common (1.12.7-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 05 May 2017 05:00:00 -0000

ros-humble-rviz-common (1.12.6-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 02 May 2017 05:00:00 -0000

ros-humble-rviz-common (1.12.5-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 01 May 2017 05:00:00 -0000

ros-humble-rviz-common (1.12.4-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 27 Oct 2016 05:00:00 -0000

ros-humble-rviz-common (1.12.3-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 19 Oct 2016 05:00:00 -0000

ros-humble-rviz-common (1.12.2-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 18 Oct 2016 05:00:00 -0000

ros-humble-rviz-common (1.12.1-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 20 Apr 2016 05:00:00 -0000

ros-humble-rviz-common (1.12.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 11 Apr 2016 05:00:00 -0000

ros-humble-rviz-common (1.11.14-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 03 Apr 2016 05:00:00 -0000

ros-humble-rviz-common (1.11.13-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 23 Mar 2016 05:00:00 -0000

ros-humble-rviz-common (1.11.12-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 23 Mar 2016 00:58:00 -0000

ros-humble-rviz-common (1.11.11-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 22 Mar 2016 23:16:00 -0000

ros-humble-rviz-common (1.11.10-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 13 Oct 2015 05:00:00 -0000

ros-humble-rviz-common (1.11.9-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 21 Sep 2015 05:00:00 -0000

ros-humble-rviz-common (1.11.8-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 05 Aug 2015 05:00:00 -0000

ros-humble-rviz-common (1.11.7-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 02 Mar 2015 06:00:00 -0000

ros-humble-rviz-common (1.11.6-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 13 Feb 2015 06:00:00 -0000

ros-humble-rviz-common (1.11.5-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 11 Feb 2015 06:00:00 -0000

ros-humble-rviz-common (1.11.4-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 30 Oct 2014 05:00:00 -0000

ros-humble-rviz-common (1.11.3-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 26 Jun 2014 05:00:00 -0000

ros-humble-rviz-common (1.11.2-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 13 May 2014 05:00:00 -0000

ros-humble-rviz-common (1.11.1-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 01 May 2014 05:00:00 -0000

ros-humble-rviz-common (1.11.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 05 Mar 2014 03:40:00 -0000

ros-humble-rviz-common (1.10.14-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 05 Mar 2014 03:35:00 -0000

ros-humble-rviz-common (1.10.13-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 26 Feb 2014 06:00:00 -0000

ros-humble-rviz-common (1.10.12-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 25 Feb 2014 06:00:00 -0000

ros-humble-rviz-common (1.10.11-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 26 Jan 2014 06:00:00 -0000

ros-humble-rviz-common (1.10.10-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 22 Dec 2013 06:00:00 -0000

ros-humble-rviz-common (1.10.9-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 15 Oct 2013 05:00:00 -0000

ros-humble-rviz-common (1.10.7-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 16 Sep 2013 05:00:00 -0000

ros-humble-rviz-common (1.10.6-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 03 Sep 2013 05:00:00 -0000

ros-humble-rviz-common (1.10.5-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 28 Aug 2013 08:50:00 -0000

ros-humble-rviz-common (1.10.4-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 28 Aug 2013 08:13:00 -0000

ros-humble-rviz-common (1.10.3-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 14 Aug 2013 05:00:00 -0000

ros-humble-rviz-common (1.10.2-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 26 Jul 2013 05:00:00 -0000

ros-humble-rviz-common (1.10.1-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 16 Jul 2013 05:00:00 -0000

ros-humble-rviz-common (1.10.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 27 Jun 2013 05:00:00 -0000

ros-humble-rviz-common (1.9.30-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 30 May 2013 05:00:00 -0000

ros-humble-rviz-common (1.9.29-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 15 Apr 2013 05:00:00 -0000

ros-humble-rviz-common (1.9.27-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 15 Mar 2013 18:23:00 -0000

ros-humble-rviz-common (1.9.26-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 15 Mar 2013 15:38:00 -0000

ros-humble-rviz-common (1.9.25-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 07 Mar 2013 06:00:00 -0000

ros-humble-rviz-common (1.9.24-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sat, 16 Feb 2013 06:00:00 -0000

ros-humble-rviz-common (1.9.23-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 13 Feb 2013 06:00:00 -0000

ros-humble-rviz-common (1.9.22-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 12 Feb 2013 22:30:00 -0000

ros-humble-rviz-common (1.9.21-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 12 Feb 2013 20:00:00 -0000

ros-humble-rviz-common (1.9.20-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 21 Jan 2013 06:00:00 -0000

ros-humble-rviz-common (1.9.19-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 13 Jan 2013 06:00:00 -0000

ros-humble-rviz-common (1.9.18-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 18 Dec 2012 06:00:00 -0000

ros-humble-rviz-common (1.9.17-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 14 Dec 2012 06:00:00 -0000

ros-humble-rviz-common (1.9.16-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 14 Nov 2012 21:49:00 -0000

ros-humble-rviz-common (1.9.15-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 13 Nov 2012 06:00:00 -0000

ros-humble-rviz-common (1.9.14-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 14 Nov 2012 08:20:00 -0000

ros-humble-rviz-common (1.9.13-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 14 Nov 2012 06:58:00 -0000

ros-humble-rviz-common (1.9.12-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 06 Nov 2012 06:00:00 -0000

ros-humble-rviz-common (1.9.11-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 02 Nov 2012 05:00:00 -0000

ros-humble-rviz-common (1.9.10-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 01 Nov 2012 16:10:00 -0000

ros-humble-rviz-common (1.9.9-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 01 Nov 2012 16:01:00 -0000

ros-humble-rviz-common (1.9.8-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 01 Nov 2012 15:52:00 -0000

ros-humble-rviz-common (1.9.7-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 01 Nov 2012 15:40:00 -0000

ros-humble-rviz-common (1.9.6-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 31 Oct 2012 05:00:00 -0000

ros-humble-rviz-common (1.9.5-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 19 Oct 2012 05:00:00 -0000

ros-humble-rviz-common (1.9.4-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 15 Oct 2012 20:00:00 -0000

ros-humble-rviz-common (1.9.3-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 15 Oct 2012 15:41:00 -0000

ros-humble-rviz-common (1.9.2-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 12 Oct 2012 18:38:00 -0000

ros-humble-rviz-common (1.9.1-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 12 Oct 2012 16:57:00 -0000

ros-humble-rviz-common (1.9.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 10 Oct 2012 05:00:00 -0000


